SDL_HINT_TRACKPAD_IS_TOUCH_ONLY(3)

NAME
SDL_HINT_TRACKPAD_IS_TOUCH_ONLY - A variable controlling whether trackpads should be treated as touch devices.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_TRACKPAD_IS_TOUCH_ONLY SDL_TRACKPAD_IS_TOUCH_ONLY"

DESCRIPTION
On macOS (and possibly other platforms in the future), SDL will report touches on a trackpad as mouse input, which is generally what users expect from this device; however, these are often actually full multitouch-capable touch devices, so it might be preferable to some apps to treat them as such. The variable can be set to the following values: • "0": Trackpad will send mouse events. (default) • "1": Trackpad will send touch events. This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.